# Class PostSummonTerrainChangeAbAttr

#### Hierarchy (view full)

- PostSummonAbAttr
  - PostSummonTerrainChangeAbAttr

- Defined in src/data/ability.ts:1722

#####
Index

### Constructors

constructor

### Properties

showAbility
terrainType

### Methods

addCondition
apply
applyPostSummon
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostSummonTerrainChangeAbAttr(terrainType): PostSummonTerrainChangeAbAttr

- #### Parameters

  - terrainType: TerrainType

  #### Returns PostSummonTerrainChangeAbAttr

  Overrides PostSummonAbAttr.constructor

  - Defined in src/data/ability.ts:1725

## Properties

### showAbility

showAbility: boolean

Inherited from PostSummonAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` terrainType

terrainType: TerrainType

- Defined in src/data/ability.ts:1723

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostSummonAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostSummonAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostSummon

- applyPostSummon(pokemon, passive, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - args: any[]

  #### Returns boolean

  Overrides PostSummonAbAttr.applyPostSummon

  - Defined in src/data/ability.ts:1731

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostSummonAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostSummonAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137